import { expect, tap } from '@push.rocks/tapbundle';
import * as smartocr from '../ts/index.js';

let testOcrInstance: smartocr.SmartOcr;

tap.test('should create a valid instance of Smartocr', async () => {
  testOcrInstance = await smartocr.SmartOcr.createAndInit();
  expect(testOcrInstance).toBeInstanceOf(smartocr.SmartOcr);
});

tap.test('should ocr a pdfBuffer', async () => {
  const smartfile = await import('@push.rocks/smartfile');
  const pdfBuffer = (await smartfile.SmartFile.fromFilePath('./test/demo_without_textlayer.pdf'))
    .contentBuffer;
  const resultBuffer = await testOcrInstance.processPdfBuffer(pdfBuffer);
  console.log(resultBuffer);
});

tap.start();
